#3 Update dependencies for jss >= 4.5.0
Opened 2 years ago by cipherboy. Modified 2 years ago
rpms/ cipherboy/389-console f28  into  f28

Update dependencies for jss >= 4.5.0
Alexander Scheel • 2 years ago  
file modified
+7 -3
@@ -6,7 +6,7 @@ 

  

  Name: 389-console

  Version: %{major_version}.%{minor_version}

- Release: 1%{?dist}

+ Release: 4%{?dist}

  Summary: 389 Management Console

  

  Group: Applications/System
@@ -33,7 +33,7 @@ 

  

  %prep

  %setup -q

-                                                                                 

+ 

  %build

  %{ant} \

     -Dbuilt.dir=`pwd`/built \
@@ -60,7 +60,7 @@ 

  ADDITIONAL_OPTIONS=\${ADDITIONAL_OPTIONS:-"-Djava.util.prefs.systemRoot=\$HOME/.%{name} -Djava.util.prefs.userRoot=\$HOME/.%{name}"}

  EOF

  chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/java/%{name}.conf

- %jpackage_script com.netscape.management.client.console.Console "" "" jss4.jar:ldapjdk.jar:idm-console-base.jar:idm-console-mcc.jar:idm-console-mcc_%{consolelang}.jar:idm-console-nmclf.jar:idm-console-nmclf_%{consolelang}.jar %{name} true

+ %jpackage_script com.netscape.management.client.console.Console "" "" apache-commons-codec.jar:apache-commons-lang.jar:slf4j-api.jar:jss4.jar:ldapjdk.jar:idm-console-base.jar:idm-console-mcc.jar:idm-console-mcc_%{consolelang}.jar:idm-console-nmclf.jar:idm-console-nmclf_%{consolelang}.jar %{name} true

  install -d $RPM_BUILD_ROOT%{_mandir}/man8

  install -m644 built%{_mandir}/man8/* $RPM_BUILD_ROOT%{_mandir}/man8

  
@@ -73,6 +73,10 @@ 

  %{_mandir}/man8/*

  

  %changelog

+ * Mon Feb 25 2019 Alexander Scheel <cipherboy@fedoraproject.org> - 1.1.19-4

+ - Update classpath for jss >= 4.5.0

+ - rhbz: 1634525

+ 

  * Thu Oct 18 2018 Mark Reynolds <mreynolds@redhat.com> - 1.1.19-1

  - Bump version to 1.1.19-1

  - Add JSS's dependencies to the classpath of 389-console

Fedora 28 has jss >= 4.5.0 when systems are updated.

Note that the PR against 389-console isn't sufficient as the 389-console.spec used in Fedora differs from the one upstream. In particular, the one in Fedora uses the %jpackage_script macro to build the launcher.

Note: I opted to increment the release version such that it was the same across master/f29/f28.

Signed-off-by: Alexander Scheel <ascheel@redhat.com>

rebased onto 11bd256

2 years ago

rebased onto 1f25e8d

2 years ago